function y = crop(x,n,vtype)
%
% function y = crop(x,n,[type])
%
% Force x to be n samples long by cropping or padding at end of signal.
% Apply cropping to dimension that is longer unless type is set to
% 'row' or 'col'.
%
[nr,nc] = size(x);
if (nargin < 3)
   if (nc > nr)
      vtype = 'row';
   else
      vtype = 'col';
   end
end

if (strcmp(vtype,'row'))
   nx = nc;
   if (n > nx)
      y = [x zeros(nr, n - nx)];
   else
      y = x(:, 1: n);
   end
elseif (strcmp(vtype,'col'))
   nx = nr;
   if (n > nx)
      y = [x; zeros(n - nx, nc)];
   else
      y = x(1: n, :);
   end
else
   error('illegal vector type');
end

