function h_info(fname)
% h_info(fname)
%
% Display HRTF dataset information.
%
hinfo = h_open(fname);
elevs = h_get_elevs(hinfo);
itds = h_get_itds(hinfo);

disp(sprintf('%s:',h_get_fname(hinfo)));
disp(sprintf('fs %f',h_get_fs(hinfo)));
[blen, alen] = h_get_len(hinfo);
disp(sprintf('length [%d %d]',blen,alen));
disp(sprintf('n_elevs %d',h_get_nelev(hinfo)));
disp(sprintf('n_hrtfs %d',h_get_nhrtf(hinfo)));

sym_str = '';
itdex_str = '';
freq_str = '';
if h_is_sym(hinfo)
	sym_str = ' symmetric';
end
if h_is_itdex(hinfo)
	itdex_str = ' ITD_extracted';
end
if h_is_freq(hinfo)
	freq_str = ' freq_domain';
end
disp(sprintf('flags = %d:%s%s%s', h_get_flags(hinfo), sym_str, itdex_str, freq_str));

elevs
figure
plot(itds)
title('ITDs');
ylabel('samples');

h_close(hinfo)
