function path = h_path(fname)
%function path = h_path(fname)
%
% Convert an HRTF filename to a full pathname.
%

%
% Setting this global flag causes all HRTFs to be loaded and
% stored in the global HRTF directory set up by rootpath.
% Otherwise the path is assumed to be a local pathname.
%

global h_use_rootpath_flag
if (~exist('h_use_rootpath_flag'))
   h_use_rootpath_flag = 0;
end

if h_use_rootpath_flag
   % use path in hrtf directory
	[root,dir_ch] = rootpath;
	path = sprintf('%s%shrtf%s%s',root,dir_ch,dir_ch,fname);
else
   % use local pathname
   path = fname;
end
